//===============================================================================
// Microsoft patterns & practices Enterprise Library
// Application Block Software Factory
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.EnterpriseLibrary.Configuration.Design;
using AAD.ProvidersLibrary.Configuration.Design.Properties;

namespace AAD.ProvidersLibrary.Configuration.Design
{
	sealed class NodeMapRegistrar : Microsoft.Practices.EnterpriseLibrary.Configuration.Design.NodeMapRegistrar
	{
		public NodeMapRegistrar(IServiceProvider serviceProvider)
			: base(serviceProvider)
		{
		}

		public override void Register()
		{
 			 AddMultipleNodeMap(Resources.RollingFlatFileTraceListenerNodeUICommandText,
				typeof(RollingFlatFileTraceListenerNode),
				typeof(AAD.ProvidersLibrary.Configuration.RollingFlatFileTraceListenerData));             
		}
	}
}
